### Name: fitted.gmm
### Title: Fitted values of GMM
### Aliases: fitted.gmm


### ** Examples


# GMM is like GLS for linear models without endogeneity problems

set.seed(345)
n = 200
phi<-c(.2,.7)
thet <- 0
sd <- .2
x <- matrix(arima.sim(n=n,list(order=c(2,0,1),ar=phi,ma=thet,sd=sd)),ncol=1)
y <- 10+5*rnorm(n) + x

res <- gmm(y~x,x)
plot(x,y, main="Fitted model with GMM")
lines(x,fitted(res),col=2,)
legend("topright",c("Y","Yhat"),col=1:2,lty=c(1,1))



