### Name: residuals.gmm
### Title: Residuals of GMM
### Aliases: residuals.gmm


### ** Examples


# GMM is like GLS for linear models without endogeneity problems

set.seed(345)
n = 200
phi<-c(.2,.7)
thet <- 0
sd <- .2
x <- matrix(arima.sim(n=n,list(order=c(2,0,1),ar=phi,ma=thet,sd=sd)),ncol=1)
y <- 10+5*rnorm(n) + x

res <- gmm(y~x,x)
plot(x,residuals(res), main="Residuals of an estimated model with GMM")



